/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workfullexecute.dao;

import com.jeeplus.common.persistence.CrudDao;
import com.jeeplus.common.persistence.annotation.MyBatisDao;
import com.jeeplus.modules.workfullexecute.entity.WorkFullExecute;
import com.jeeplus.modules.workfullmanage.entity.WorkFullManage;

import java.util.List;
import java.util.Map;

/**
 * 项目实施DAO接口
 * @author fgy
 * @version 2017-10-27
 */
@MyBatisDao
public interface WorkFullExecuteDao extends CrudDao<WorkFullExecute> {


    List<WorkFullManage> getListOfWorkFullManage(WorkFullManage workFullManage);

    List<WorkFullExecute> findListBelongtoWorkfullmanage(WorkFullExecute workFullExecute);

    List<WorkFullExecute> findList(WorkFullExecute workFullExecute);

    void updateStatus(WorkFullExecute workFullExecute);

    int updateProcessInstanceId(WorkFullExecute workFullExecute);

    WorkFullExecute getByProcessInstanceId(String processInstanceId);

    //项目实施完成后更新项目状态
    void updateStatusOfWorkFullManage(Map<String, Object> map);
}